Package org.gradle.api.artifacts

# Interface DependencyConstraintMetadata

All Superinterfaces:
  `DependencyMetadata<DependencyConstraintMetadata>`

public interface DependencyConstraintMetadata extends DependencyMetadata<DependencyConstraintMetadata>
Describes a dependency constraint declared in a resolved component's metadata, which typically originates from a component descriptor (Gradle metadata file). This interface can be used to adjust a dependency constraint's properties via metadata rules (see `ComponentMetadataHandler`.

Since:
  4.5

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.artifacts.DependencyMetadata

  `attributes, because, getAttributes, getGroup, getModule, getName, getReason, getVersionConstraint, version`